Bug 204117 - DefaultFbBpp not correct for fbdev
DefaultFbBpp not correct for fbdev
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 14:03 EDT by Jeremy Katz
Modified: 2008-05-06 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:46:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working Xorg.log (no xorg.conf) (13.67 KB, application/octet-stream)
2006-08-25 14:03 EDT, Jeremy Katz
no flags Details
log from not-working case (with xorg.conf) (11.24 KB, application/octet-stream)
2006-08-25 14:03 EDT, Jeremy Katz
no flags Details
xorg.conf created by anaconda (576 bytes, text/plain)
2006-08-25 14:04 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2006-08-25 14:03:18 EDT
Created attachment 134943 [details]
working Xorg.log (no xorg.conf)
Comment 1 Jeremy Katz 2006-08-25 14:03:18 EDT
On a machine using fbdev for X (a Xen guest in this case) with the xorg.conf as
generated via anaconda, FbBpp is set to 24 -- without an xorg.conf, it's set to
32.  32 is correct.

I'll attach logs from with xorg.conf and without
Comment 2 Jeremy Katz 2006-08-25 14:04:01 EDT
Created attachment 134944 [details]
log from not-working case (with xorg.conf)
Comment 3 Jeremy Katz 2006-08-25 14:04:47 EDT
Created attachment 134945 [details]
xorg.conf created by anaconda

Note that adding 'DefaultFbBpp 32' to the screen section also makes things work
Comment 4 Jeremy Katz 2006-08-28 21:35:23 EDT
Hacked the fbdev driver to not have this behavior, but perhaps with other less
than ideal consequences.

Would it make sense to actually set the preferred depth flags based on what the
fbbpp for the actual fbdev device is?
Comment 5 Adam Jackson 2006-08-29 13:28:24 EDT
I think so, yes.
Comment 6 Matěj Cepl 2007-09-11 20:34:08 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 7 Jeremy Katz 2007-09-11 22:28:07 EDT
We're still just carrying the hack and haven't fixed fbdev correctly
Comment 8 Bug Zapper 2008-04-03 14:02:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:46:32 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.